Uploaded image for project: 'Infinispan'
  1. Infinispan
  2. ISPN-9320

Automatic hot rod client version selection

    Details

      Description

      A HotRod client should be able to automatic detect the server version and downgrade the protocol version if the server is older.
      Older HotRod clients are still able to connect to newer servers.

      It would be helpful if new API functions are rejected with a clear error message that the function is not available if using an old protocol.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  NadirX Tristan Tarrant
                  Reporter:
                  NadirX Tristan Tarrant
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: